Bug 176877 - [exp-run] remove Fedora Core 4 ports, adjust Mk/bsd.*.mk
[exp-run] remove Fedora Core 4 ports, adjust Mk/bsd.*.mk
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 11:50 UTC by Rene Ladan
Modified: 2013-05-30 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-03-12 11:50:01 UTC
The Fedora Core 4 ports expired when FreeBSD 7.X reached end-of-life. This patch removes these ports and updates bsd.port.mk, bsd.linux-apps.mk, and bsd.linux-rpm.mk. This patch should be a no-op on FreeBSD 8 and higher.

While Linux kernel 2.4.2 is still supported in the kernel, there is no base port that supports it any longer, so remove support for it from bsd.*.mk.

* Fix some hardcoded dependencies in multimedia/linux-ymessenger 

* Make Fedora Core 10 the new default for USE_LINUX=yes

* Change _GL_linux_RUN_DEPENDS in bsd.port.mk to use graphics/linux-dri74 instead of graphics/linux_dri, which seems the default for Fedora Core 10

* Pet portlint for the linux-base ports.

A local INDEX-9 build with the patch applied succeeded.

Note that bsd.linux-rpm.mk now has some wrong indentation, the indentation was left unaltered to make the changes more visible.

How-To-Repeat: Apply patch at
ftp://rene-ladan.nl/pub/freebsd/linuxports-cleanup.r313966.diff

SHA256 (linuxports-cleanup.r313966.diff) = a735b721135a8fc18e006a64b7d7d7ccb9ccadaea52c19263a3a093fc46bd7b1
-rw-r--r--  1 rene  ftp  650914 Mar 12 12:37 linuxports-cleanup.r313966.diff


For readability, there is also a patch generated with "svn --no-diff-deleted":
ftp://rene-ladan.nl/pub/freebsd/linuxports-cleanup-ndd.r313966.diff

SHA256 (linuxports-cleanup-ndd.r313966.diff) = 6d663196e5183116d0305dbf7d851e6b9c15cc7f23dd0babfd3c44dfef7743a0
-rw-r--r--  1 rene  ftp   70871 Mar 12 12:37 linuxports-cleanup-ndd.r313966.diff
Comment 1 Rene Ladan freebsd_committer 2013-03-12 12:05:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr
Comment 2 Rene Ladan freebsd_committer 2013-03-14 09:40:13 UTC
Updated patch for r314141 :
ftp://rene-ladan.nl/pub/freebsd/linuxports-cleanup.r314141.diff

SIZE = 650730
SHA256 = 361ebb403ed5cfaa8a519d41b1faff38e724e84e3901079eb9c65648e441a5c7
Comment 3 Rene Ladan freebsd_committer 2013-03-18 10:07:30 UTC
Updated patches for r314542 :

ftp://rene-ladan.nl/pub/freebsd/linuxports-cleanup-ndd.r314542.diff
SHA256 = 63c1b640c8d6edfff36d08ab35caf823410a0f2eaf8d90fbb3ca71a626319a96
-rw-r--r--  1 rene  ftp   71092 Mar 18 10:56 linuxports-cleanup-ndd.r314542.diff

ftp://rene-ladan.nl/pub/freebsd/linuxports-cleanup.r314542.diff
SHA256 = b9a16429179c747f70c1201de244b036d0f817ecb6573d5a3f1b9ec6f0fdb79a
-rw-r--r--  1 rene  ftp  650949 Mar 18 10:56 linuxports-cleanup.r314542.diff
Comment 4 Rene Ladan freebsd_committer 2013-03-23 20:54:02 UTC
Updated patches for r315080 :

ftp://rene-ladan.nl/pub/freebsd/

-rw-r--r--  1 rene  ftp   71007 Mar 23 21:51 linuxports-cleanup-ndd.r315080.diff
SHA256 (linuxports-cleanup-ndd.r315080.diff) =
2e03db677a6e6555fd574de5cc86dba6818725c45242269a6f85f02e046c0c0d

-rw-r--r--  1 rene  ftp  650864 Mar 23 21:51 linuxports-cleanup.r315080.diff
SHA256 (linuxports-cleanup.r315080.diff) =
968f7e818d898d0e8554957e82b26927de07c84a611b3d353754a1fab07a82b3
Comment 5 Rene Ladan freebsd_committer 2013-03-23 20:58:50 UTC
Oops, correct diff for r315080 :

rw-r--r--  1 rene  ftp   70657 Mar 23 21:56 linuxports-cleanup-ndd.r315080.diff
SHA256 (linuxports-cleanup-ndd.r315080.diff) =
70098ae8a3ef3b826940f81c2ed8ed045da77cb48e79b05a905a0e48c6ab9775

-rw-r--r--  1 rene  ftp  650514 Mar 23 21:56 linuxports-cleanup.r315080.diff
SHA256 (linuxports-cleanup.r315080.diff) =
7352d28ff3adb458473cd49c36f615d3c9bc928ddc940784d958b99477f92a01
Comment 6 Baptiste Daroussin freebsd_committer 2013-05-28 11:40:39 UTC
Responsible Changed
From-To: portmgr->bapt

Take for exp-run
Comment 7 Baptiste Daroussin freebsd_committer 2013-05-30 07:00:01 UTC
Responsible Changed
From-To: bapt->rene

portmgr approved
Comment 8 dfilter freebsd_committer 2013-05-30 10:12:15 UTC
Author: rene
Date: Thu May 30 09:11:52 2013
New Revision: 319410
URL: http://svnweb.freebsd.org/changeset/ports/319410

Log:
  - Finish removal of support for Linux 2.4 in bsd.linux-apps.mk and
    bsd.linux-rpm.mk.  The default linux version is now Fedora 10.
  - Remove now obsolete checks for Linux 2.4 in emulators/linux_base-c6,
    emulators/linux_base-f10, and emulators/linux_dist-gentoo-stage3.
    While there, remove superfluous -p argument from ${MKDIR}.
  - Remove now obsolete check for Linux 2.4 or FreeBSD 6 and lower from
    astro/google-earth.
  - Remove expired Fedora Core 4 ports which were only used on FreeBSD 7
    and below.
  - Update LEGAL and MOVED
  
  PR:		ports/176877
  Submitted by:	myself
  Approved by:	portmgr (bapt)
  Exp-run by:	bapt

Deleted:
  head/accessibility/linux-atk/
  head/archivers/linux-ucl/
  head/archivers/linux-upx/
  head/audio/linux-alsa-lib/
  head/audio/linux-arts/
  head/audio/linux-esound/
  head/audio/linux-freealut/
  head/audio/linux-libaudiofile/
  head/audio/linux-libmad/
  head/audio/linux-libogg/
  head/audio/linux-libvorbis/
  head/audio/linux-mikmod/
  head/audio/linux-nas-libs/
  head/audio/linux-openal/
  head/audio/linux-sdl_mixer/
  head/devel/linux-allegro/
  head/devel/linux-libglade/
  head/devel/linux-libglade2/
  head/devel/linux-libsigc++20/
  head/devel/linux-sdl12/
  head/emulators/linux-libaio/
  head/emulators/linux_base-fc4/
  head/ftp/linux-curl/
  head/graphics/linux-cairo/
  head/graphics/linux-gdk-pixbuf/
  head/graphics/linux-imlib/
  head/graphics/linux-jpeg/
  head/graphics/linux-libGLU/
  head/graphics/linux-libmng/
  head/graphics/linux-png/
  head/graphics/linux-png10/
  head/graphics/linux-sdl_image/
  head/graphics/linux-tiff/
  head/graphics/linux-ungif/
  head/lang/linux-libg2c/
  head/multimedia/linux-libtheora/
  head/security/linux-openssl/
  head/sysutils/linux-procps/
  head/textproc/linux-aspell/
  head/textproc/linux-expat/
  head/textproc/linux-libxml/
  head/textproc/linux-libxml2/
  head/textproc/linux-scim-gtk/
  head/textproc/linux-scim-libs/
  head/textproc/linux-xerces-c2/
  head/x11-fonts/linux-fontconfig/
  head/x11-toolkits/linux-gtk/
  head/x11-toolkits/linux-gtk2/
  head/x11-toolkits/linux-openmotif/
  head/x11-toolkits/linux-pango/
  head/x11-toolkits/linux-qt33/
  head/x11/linux-xorg-libs/
Modified:
  head/LEGAL
  head/MOVED
  head/Mk/bsd.linux-apps.mk   (contents, props changed)
  head/Mk/bsd.linux-rpm.mk   (contents, props changed)
  head/accessibility/Makefile   (contents, props changed)
  head/archivers/Makefile   (contents, props changed)
  head/astro/google-earth/Makefile
  head/audio/Makefile
  head/devel/Makefile
  head/emulators/Makefile
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/pkg-install   (contents, props changed)
  head/emulators/linux_base-f10/Makefile
  head/emulators/linux_base-f10/pkg-install   (contents, props changed)
  head/emulators/linux_dist-gentoo-stage3/Makefile
  head/ftp/Makefile
  head/graphics/Makefile
  head/lang/Makefile
  head/multimedia/Makefile
  head/security/Makefile
  head/sysutils/Makefile
  head/textproc/Makefile
  head/x11-fonts/Makefile
  head/x11-toolkits/Makefile
  head/x11/Makefile

Modified: head/LEGAL
==============================================================================
--- head/LEGAL	Thu May 30 08:55:05 2013	(r319409)
+++ head/LEGAL	Thu May 30 09:11:52 2013	(r319410)
@@ -218,7 +218,6 @@ RealPlayer-*.rpm	multimedia/linux-realpl
 rftg-*			games/rftg		Redistribution not authorized
 ricty-*			japanese/font-ricty	Redistribution not allowed
 ringtonetools-*		misc/ringtonetools	Not free for commercial organizations
-rpm/i386/fedora/4/gtk2-* x11-toolkits/linux-gtk2 LGPL binary, no source
 rsmb-*			net/rsmb		Must register for account on IBM web site, must agree to license before downloading, and no redistribution allowed
 savage/Samuraiwars*	games/linux-savage-samuraiwars	Freeware, but license terms are unclear
 savage/SFE*		games/linux-savage	Freeware, but license terms are unclear

Modified: head/MOVED
==============================================================================
--- head/MOVED	Thu May 30 08:55:05 2013	(r319409)
+++ head/MOVED	Thu May 30 09:11:52 2013	(r319410)
@@ -4281,3 +4281,55 @@ sysutils/rsyslog5-pgsql||2013-05-25|Remo
 sysutils/rsyslog5-relp||2013-05-25|Removed: use sysutils/rsyslog7
 sysutils/rsyslog5-rfc3195||2013-05-25|Removed: use sysutils/rsyslog7
 sysutils/rsyslog5-snmp||2013-05-25|Removed: use sysutils/rsyslog7
+accessibility/linux-atk||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+archivers/linux-ucl||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+archivers/linux-upx||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-alsa-lib||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-arts||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-esound||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-freealut||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-libaudiofile||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-libmad||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-libogg||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-libvorbis||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-mikmod||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-nas-libs||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-openal||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+audio/linux-sdl_mixer||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+devel/linux-allegro||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+devel/linux-libglade||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+devel/linux-libglade2||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+devel/linux-libsigc++20||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+devel/linux-sdl12||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+emulators/linux-libaio||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+emulators/linux_base-fc4||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+ftp/linux-curl||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-cairo||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-gdk-pixbuf||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-imlib||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-jpeg||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-libGLU||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-libmng||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-png||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-png10||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-sdl_image||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-tiff||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+graphics/linux-ungif||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+lang/linux-libg2c||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+multimedia/linux-libtheora||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+security/linux-openssl||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+sysutils/linux-procps||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+textproc/linux-aspell||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+textproc/linux-expat||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+textproc/linux-libxml||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+textproc/linux-libxml2||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+textproc/linux-scim-gtk||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+textproc/linux-scim-libs||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+textproc/linux-xerces-c2||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+x11/linux-xorg-libs||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+x11-fonts/linux-fontconfig||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+x11-toolkits/linux-gtk||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+x11-toolkits/linux-gtk2||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+x11-toolkits/linux-openmotif||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+x11-toolkits/linux-pango||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life
+x11-toolkits/linux-qt33||2012-05-30|Has expired: Only used on FreeBSD 7, which is end-of-life

Modified: head/Mk/bsd.linux-apps.mk
==============================================================================
--- head/Mk/bsd.linux-apps.mk	Thu May 30 08:55:05 2013	(r319409)
+++ head/Mk/bsd.linux-apps.mk	Thu May 30 09:11:52 2013	(r319410)
@@ -46,9 +46,6 @@ LINUX_DIST_SUFFIX=	-f10
 .    else
 IGNORE=		valid values for OVERRIDE_LINUX_NONBASE_PORTS are: \"f10\"
 .    endif
-.  elif ${OSVERSION} < 800076 || ${LINUX_OSRELEASE} == "2.4.2"
-# default for OSVERSION < 800076
-LINUX_DIST_SUFFIX=
 .  else
 # default for OSVERSION >= 800076
 LINUX_DIST_SUFFIX=	-f10
@@ -64,9 +61,6 @@ _LINUX_APPS_ALL=	allegro alsalib arts as
 					ncurses-base openal openmotif openssl pango png png10 qt33 scimgtk \
 					scimlibs sdl12 sdlimage sdlmixer tiff xorglibs ucl ungif upx webauth
 
-# 2.4.2 components
-_LINUX_APPS_ALL+=
-
 # 2.6.16 components
 _LINUX_26_APPS=		alsa-plugins-oss blt cyrus-sasl2 dbusglib dbuslibs \
 			libasyncns libidn libssh2 libv4l nspr nss openal-soft \
@@ -74,15 +68,6 @@ _LINUX_26_APPS=		alsa-plugins-oss blt cy
 
 _LINUX_APPS_ALL+=	${_LINUX_26_APPS}
 
-# Let's check if components from USE_LINUX_APPS exist at _LINUX_26_APPS for LINUX_DIST_SUFFIX:=""
-.  if ${LINUX_DIST_SUFFIX}==""
-.    for component in ${USE_LINUX_APPS}
-.      if ${_LINUX_26_APPS:M${component}}!=""
-IGNORE=	bsd.linux-apps.mk test failed: The component ${component} can be used with at least linux_base-f10
-.      endif
-.    endfor
-.  endif
-
 # Component definition section
 #
 # component${LINUX_DIST_SUFFIX:S/-/_/}_FILE
@@ -93,34 +78,28 @@ IGNORE=	bsd.linux-apps.mk test failed: T
 # component_PORT	- A port which will be used to install a missing dependency.
 # component_DEPENDS	- A list of components the current component depends on.
 
-allegro_FILE=		${LINUXBASE}/usr/lib/liballeg-4.0.3.so
 allegro_f10_FILE=	${LINUXBASE}/usr/lib/liballeg-4.2.2.so
 allegro_DETECT=		${allegro${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 allegro_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-allegro
 allegro_DEPENDS=	xorglibs
 
-# no_alsa-plugins-oss_FILE
 alsa-plugins-oss_f10_FILE=	${LINUXBASE}/usr/lib/alsa-lib/libasound_module_pcm_oss.so
 alsa-plugins-oss_DETECT=	${alsa-plugins-oss${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 alsa-plugins-oss_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-alsa-plugins-oss
 alsa-plugins-oss_DEPENDS=	alsalib
 
-alsalib_FILE=		${LINUXBASE}/lib/libasound.so.2.0.0
 alsalib_f10_FILE=	${LINUXBASE}/lib/libasound.so.2.0.0
 alsalib_DETECT=		${alsalib${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 alsalib_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-alsa-lib
 
-arts_FILE=			${LINUXBASE}/usr/lib/libartsc.so.0
 arts_f10_FILE=		${LINUXBASE}/usr/lib/libartsc.so.0
 arts_DETECT=		${arts${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 arts_PORT=			${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-arts
 
-aspell_FILE=		${LINUXBASE}/usr/lib/libaspell.so.15.0.2
 aspell_f10_FILE=	${LINUXBASE}/usr/lib/libaspell.so.15.1.4
 aspell_DETECT=		${aspell${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 aspell_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-aspell
 
-atk_FILE=			${LINUXBASE}/usr/lib/libatk-1.0.so.0.901.0
 atk_f10_FILE=		${LINUXBASE}/usr/lib/libatk-1.0.so.0.2409.1
 atk_DETECT=			${atk${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 atk_PORT=			${PORTSDIR}/accessibility/linux${LINUX_DIST_SUFFIX}-atk
@@ -130,19 +109,16 @@ blt_DETECT=		${blt${LINUX_DIST_SUFFIX:S/
 blt_PORT=		${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-blt
 blt_DEPENDS=		tcl84 tk84 xorglibs
 
-cairo_FILE=			${LINUXBASE}/usr/lib/libcairo.so.2.2.3
 cairo_f10_FILE=		${LINUXBASE}/usr/lib/libcairo.so.2.10800.0
 cairo_DETECT=		${cairo${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 cairo_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-cairo
 cairo_DEPENDS=		fontconfig png xorglibs
 
-# no cups-libs_FILE
 cups-libs_f10_FILE=	${LINUXBASE}/usr/lib/libcups.so.2
 cups-libs_DETECT=	${cups-libs${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 cups-libs_PORT=		${PORTSDIR}/print/linux${LINUX_DIST_SUFFIX}-cups-libs
 cups-libs_DEPENDS=	gnutls
 
-curl_FILE=		${LINUXBASE}/usr/lib/libcurl.so.3.0.0
 curl_f10_FILE=		${LINUXBASE}/usr/lib/libcurl.so.4.1.1
 curl_DETECT=		${curl${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 curl_PORT=		${PORTSDIR}/ftp/linux${LINUX_DIST_SUFFIX}-curl
@@ -150,355 +126,283 @@ curl_PORT=		${PORTSDIR}/ftp/linux${LINUX
 curl_DEPENDS=		cyrus-sasl2 openldap
 .  endif
 
-# no cyrus-sasl2_FILE
 cyrus-sasl2_f10_FILE=	${LINUXBASE}/usr/lib/libsasl2.so.2.0.22
 cyrus-sasl2_DETECT=	${cyrus-sasl2${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 cyrus-sasl2_PORT=	${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-cyrus-sasl2
 
-# no dbusglib_FILE
 dbusglib_f10_FILE=	${LINUXBASE}/usr/lib/libdbus-glib-1.so.2
 dbusglib_DETECT=	${dbusglib${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 dbusglib_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-dbus-glib
 dbusglib_DEPENDS=	dbuslibs expat
 
-# no dbuslibs_FILE
 dbuslibs_f10_FILE=	${LINUXBASE}/lib/libdbus-1.so.3
 dbuslibs_DETECT=	${dbuslibs${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 dbuslibs_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-dbus-libs
 
-dri_FILE=		${LINUXBASE}/usr/X11R6/lib/libGL.so.1
 dri_f10_FILE=		${LINUXBASE}/usr/lib/libGL.so.1.2
 dri_DETECT=		${dri${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
-.  if ${LINUX_DIST_SUFFIX} == ""
-dri_PORT=		${PORTSDIR}/graphics/linux_dri
-.  else
 dri_PORT=		${PORTSDIR}/graphics/linux-dri74
-.  endif
 dri_DEPENDS=		xorglibs
 
-esound_FILE=		${LINUXBASE}/usr/lib/libesd.so.0.2.36
 esound_f10_FILE=	${LINUXBASE}/usr/lib/libesd.so.0.2.39
 esound_DETECT=		${esound${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 esound_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-esound
 esound_DEPENDS=		libaudiofile
 
-expat_FILE=			${LINUXBASE}/usr/lib/libexpat.so.0
 expat_f10_FILE=		${LINUXBASE}/lib/libexpat.so.1
 expat_DETECT=		${expat${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 expat_PORT=			${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-expat
 
-fontconfig_FILE=	${LINUXBASE}/usr/lib/libfontconfig.so.1
 fontconfig_f10_FILE=	${LINUXBASE}/usr/lib/libfontconfig.so.1.3.0
 fontconfig_DETECT=	${fontconfig${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 fontconfig_PORT=	${PORTSDIR}/x11-fonts/linux${LINUX_DIST_SUFFIX}-fontconfig
 fontconfig_DEPENDS=	expat
 
-freealut_FILE=		${LINUXBASE}/usr/lib/libalut.so.0.1.0
 freealut_f10_FILE=	${LINUXBASE}/usr/lib/libalut.so.0.1.0
 freealut_DETECT=	${freealut${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 freealut_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-freealut
 freealut_DEPENDS=	openal
 
-gdkpixbuf_FILE=		${LINUXBASE}/usr/lib/libgdk_pixbuf.so.2
 gdkpixbuf_f10_FILE=	${LINUXBASE}/usr/lib/libgdk_pixbuf.so.2
 gdkpixbuf_DETECT=	${gdkpixbuf${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 gdkpixbuf_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-gdk-pixbuf
 
-gtk_FILE=			${LINUXBASE}/usr/lib/libgtk-1.2.so.0.9.1
 gtk_f10_FILE=		${LINUXBASE}/usr/lib/libgtk-1.2.so.0.9.1
 gtk_DETECT=			${gtk${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 gtk_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-gtk
 gtk_DEPENDS=		xorglibs
 
-# no gnutls_FILE
 gnutls_f10_FILE=	${LINUXBASE}/usr/lib/libgnutls.so.26.4.6
 gnutls_DETECT=		${gnutls${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 gnutls_PORT=		${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-gnutls
 gnutls_DEPENDS=		libtasn1 libgcrypt libgpg-error
 
-gtk2_FILE=			${LINUXBASE}/usr/lib/libgtk-x11-2.0.so.0.600.10
 gtk2_f10_FILE=		${LINUXBASE}/usr/lib/libgtk-x11-2.0.so.0.1400.7
 gtk2_DETECT=		${gtk2${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 gtk2_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-gtk2
 gtk2_DEPENDS=		atk jpeg png pango tiff xorglibs
 
-hicontheme_FILE=	${LINUXBASE}/usr/share/icons/hicolor
 hicontheme_f10_FILE=	${LINUXBASE}/usr/share/icons/hicolor
 hicontheme_DETECT=	${hicontheme${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 hicontheme_PORT=	${PORTSDIR}/x11-themes/linux${LINUX_DIST_SUFFIX}-hicolor-icon-theme
 
-imlib_FILE=			${LINUXBASE}/usr/lib/libgdk_imlib.so.1.9.13
 imlib_f10_FILE=		${LINUXBASE}/usr/lib/libgdk_imlib.so.1.9.15
 imlib_DETECT=		${imlib${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 imlib_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-imlib
 
-jpeg_FILE=			${LINUXBASE}/usr/lib/libjpeg.so.62.0.0
 jpeg_f10_FILE=		${LINUXBASE}/usr/lib/libjpeg.so.62.0.0
 jpeg_DETECT=		${jpeg${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 jpeg_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-jpeg
 
-# no libasyncns_FILE (there is no libasyncns port for Fedora 4 distribution)
 libasyncns_f10_FILE=	${LINUXBASE}/usr/lib/libasyncns.so.0.3.1
 libasyncns_DETECT=	${libasyncns${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libasyncns_PORT=	${PORTSDIR}/dns/linux${LINUX_DIST_SUFFIX}-libasyncns
 
-libaudiofile_FILE=	${LINUXBASE}/usr/lib/libaudiofile.so.0.0.2
 libaudiofile_f10_FILE=	${LINUXBASE}/usr/lib/libaudiofile.so.0.0.2
 libaudiofile_DETECT=	${libaudiofile${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libaudiofile_PORT=	${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-libaudiofile
 
-libg2c_FILE=		${LINUXBASE}/usr/lib/libg2c.so.0.0.0
 libg2c_f10_FILE=	${LINUXBASE}/usr/lib/libg2c.so.0.0.0
 libg2c_DETECT=		${libg2c${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libg2c_PORT=		${PORTSDIR}/lang/linux${LINUX_DIST_SUFFIX}-libg2c
 
-# no libgcrypt_FILE
 libgcrypt_f10_FILE=	${LINUXBASE}/lib/libgcrypt.so.11.5.2
 libgcrypt_DETECT=	${libgcrypt${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libgcrypt_PORT=		${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-libgcrypt
 
-libglade_FILE=		${LINUXBASE}/usr/lib/libglade.so.0.4.2
 libglade_f10_FILE=	${LINUXBASE}/usr/lib/libglade.so.0.4.2
 libglade_DETECT=	${libglade${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libglade_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-libglade
 
-libglade2_FILE=		${LINUXBASE}/usr/lib/libglade-2.0.so.0.0.7
 libglade2_f10_FILE=	${LINUXBASE}/usr/lib/libglade-2.0.so.0.0.7
 libglade2_DETECT=	${libglade2${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libglade2_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-libglade2
 
-libglu_FILE=		${LINUXBASE}/usr/X11R6/lib/libGLU.so.1
 libglu_f10_FILE=	${LINUXBASE}/usr/lib/libGLU.so.1
 libglu_DETECT=		${libglu${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libglu_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-libGLU
 
-# no libgpg-error_FILE
 libgpg-error_f10_FILE=	${LINUXBASE}/lib/libgpg-error.so.0.4.0
 libgpg-error_DETECT=	${libgpg-error${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libgpg-error_PORT=	${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-libgpg-error
 
-# no libidn_FILE (there is no libidn port for Fedora 4 distribution)
 # no libidn_f10_FILE (libidn is integrated into linux_base-f10 port)
 libidn_DETECT=		${libidn${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libidn_PORT=		${PORTSDIR}/dns/linux${LINUX_DIST_SUFFIX}-libidn
 
-libmng_FILE=		${LINUXBASE}/usr/lib/libmng.so.1.0.0
 libmng_f10_FILE=	${LINUXBASE}/usr/lib/libmng.so.1.0.0
 libmng_DETECT=		${libmng${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libmng_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-libmng
 libmng_DEPENDS=		jpeg
 
-libogg_FILE=		${LINUXBASE}/usr/lib/libogg.so.0.5.2
 libogg_f10_FILE=	${LINUXBASE}/usr/lib/libogg.so.0.5.3
 libogg_DETECT=		${libogg${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libogg_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-libogg
 
-libsigcpp20_FILE=	${LINUXBASE}/usr/lib/libsigc-2.0.so.0
 libsigcpp20_f10_FILE=	${LINUXBASE}/usr/lib/libsigc-2.0.so.0
 libsigcpp20_DETECT=	${libsigcpp20${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libsigcpp20_PORT=	${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-libsigc++20
 
-# no libssh2_FILE
 libssh2_f10_FILE=	${LINUXBASE}/usr/lib/libssh2.so.1
 libssh2_DETECT=		${libssh2${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libssh2_PORT=		${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-libssh2
 libssh2_DEPENDS=	openssl
 
-# no_libv4l_FILE
 libv4l_f10_FILE=	${LINUXBASE}/usr/lib/libv4l1.so.0
 libv4l_DETECT=		${libv4l${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libv4l_PORT=		${PORTSDIR}/multimedia/linux${LINUX_DIST_SUFFIX}-libv4l
 
-# no libtasn1_FILE
 libtasn1_f10_FILE=	${LINUXBASE}/usr/lib/libtasn1.so.3.0.16
 libtasn1_DETECT=	${libtasn1${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libtasn1_PORT=		${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-libtasn1
 
-libtheora_FILE=		${LINUXBASE}/usr/lib/libtheora.so.0.1.0
 libtheora_f10_FILE=	${LINUXBASE}/usr/lib/libtheora.so.0.3.3
 libtheora_DETECT=	${libtheora${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libtheora_PORT=		${PORTSDIR}/multimedia/linux${LINUX_DIST_SUFFIX}-libtheora
 
-libvorbis_FILE=		${LINUXBASE}/usr/lib/libvorbis.so.0.3.0
 libvorbis_f10_FILE=	${LINUXBASE}/usr/lib/libvorbis.so.0.4.0
 libvorbis_DETECT=	${libvorbis${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libvorbis_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-libvorbis
 libvorbis_DEPENDS=	libogg
 
-libxml_FILE=		${LINUXBASE}/usr/lib/libxml.so.1.8.17
 libxml_f10_FILE=	${LINUXBASE}/usr/lib/libxml.so.1.8.17
 libxml_DETECT=		${libxml${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libxml_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-libxml
 
-libxml2_FILE=		${LINUXBASE}/usr/lib/libxml2.so.2.6.19
 libxml2_f10_FILE=	${LINUXBASE}/usr/lib/libxml2.so.2.7.3
 libxml2_DETECT=		${libxml2${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 libxml2_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-libxml2
 
-mikmod_FILE=		${LINUXBASE}/usr/lib/libmikmod.so.2.0.4
 mikmod_f10_FILE=	${LINUXBASE}/usr/lib/libmikmod.so.3.0.0
 mikmod_DETECT=		${mikmod${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 mikmod_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-mikmod
 
-naslibs_FILE=		${LINUXBASE}/usr/lib/libaudio.so.2
-naslibs_f10_FILE=	${naslibs_FILE}
+naslibs_f10_FILE=	${LINUXBASE}/usr/lib/libaudio.so.2
 naslibs_DETECT=		${naslibs${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 naslibs_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-nas-libs
 naslibs_DEPENDS=	xorglibs
 
-# no openldap_FILE
 openldap_f10_FILE=	${LINUXBASE}/usr/lib/libldap-2.4.so.2.2.0
 openldap_DETECT=	${openldap${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 openldap_PORT=		${PORTSDIR}/net/linux${LINUX_DIST_SUFFIX}-openldap
 
-openmotif_FILE=		${LINUXBASE}/usr/X11R6/lib/libXm.so.3.0.3
 openmotif_f10_FILE=	${LINUXBASE}/usr/lib/libXm.so.4
 openmotif_DETECT=	${openmotif${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 openmotif_PORT=		${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-openmotif
 openmotif_DEPENDS=	xorglibs
 
-# no ncurses-base_FILE
 ncurses-base_f10_FILE=	${LINUXBASE}/lib/terminfo/a/ansi
 ncurses-base_DETECT=	${ncurses-base${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 ncurses-base_PORT=	${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-ncurses-base
 
-# no nspr_FILE
 nspr_f10_FILE=		${LINUXBASE}/lib/libnspr4.so
 nspr_DETECT=		${nspr${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 nspr_PORT=		${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-nspr
 
-# no nss_FILE
 nss_f10_FILE=		${LINUXBASE}/lib/libnss3.so
 nss_DETECT=		${nss${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 nss_PORT=		${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-nss
 nss_DEPENDS=		nspr sqlite3
 
-openal_FILE=		${LINUXBASE}/usr/lib/libopenal.so.0.0.0
 openal_f10_FILE=	${LINUXBASE}/usr/lib/libopenal.so.0.0.0
 openal_DETECT=		${openal${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 openal_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-openal
 openal_DEPENDS=		alsalib arts esound libaudiofile libvorbis sdl12
 
-# no openal-soft_FILE
 openal-soft_f10_FILE=	${LINUXBASE}/usr/lib/libopenal.so.1.8.466
 openal-soft_DETECT=	${openal-soft${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 openal-soft_PORT=	${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-openal-soft
 openal-soft_DEPENDS=	alsalib arts esound
 
-openssl_FILE=		${LINUXBASE}/lib/libssl.so.0.9.7f
 openssl_f10_FILE=	${LINUXBASE}/lib/libssl.so.0.9.8g
 openssl_DETECT=		${openssl${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 openssl_PORT=		${PORTSDIR}/security/linux${LINUX_DIST_SUFFIX}-openssl
 
-pango_FILE=			${LINUXBASE}/usr/lib/libpango-1.0.so.0.1001.1
 pango_f10_FILE=		${LINUXBASE}/usr/lib/libpango-1.0.so.0.2800.3
 pango_DETECT=		${pango${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 pango_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-pango
 pango_DEPENDS=		cairo expat fontconfig xorglibs
 
-png_FILE=			${LINUXBASE}/usr/lib/libpng.so.3.1.2.8
 png_f10_FILE=		${LINUXBASE}/usr/lib/libpng.so.3.37.0
 png_DETECT=			${png${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 png_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-png
 
-png10_FILE=			${LINUXBASE}/usr/lib/libpng.so.2.1.0.18
 png10_f10_FILE=		${LINUXBASE}/usr/lib/libpng.so.2.1.0.43
 png10_DETECT=		${png10${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 png10_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-png10
 
-# no_pulseaudio-libs_FILE
 pulseaudio-libs_f10_FILE=	${LINUXBASE}/usr/lib/libpulse.so.0
 pulseaudio-libs_DETECT=		${pulseaudio-libs${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 pulseaudio-libs_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-pulseaudio-libs
 
-qt33_FILE=			${LINUXBASE}/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.4
 qt33_f10_FILE=		${LINUXBASE}/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.8
 qt33_DETECT=		${qt33${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 qt33_PORT=			${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-qt33
 qt33_DEPENDS=		fontconfig libmng png
 
-sdl12_FILE=		${LINUXBASE}/usr/lib/libSDL-1.2.so
 sdl12_f10_FILE=		${LINUXBASE}/usr/lib/libSDL-1.2.so.0.11.2
 sdl12_DETECT=		${sdl12${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 sdl12_PORT=			${PORTSDIR}/devel/linux${LINUX_DIST_SUFFIX}-sdl12
 sdl12_DEPENDS=		xorglibs
 
-sdlimage_FILE=		${LINUXBASE}/usr/lib/libSDL_image-1.2.so.0.1.4
 sdlimage_f10_FILE=	${LINUXBASE}/usr/lib/libSDL_image-1.2.so.0.1.5
 sdlimage_DETECT=	${sdlimage${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 sdlimage_PORT=		${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-sdl_image
-.  if ${LINUX_DIST_SUFFIX} == ""
-sdlimage_DEPENDS=	sdl12
-.  else
 sdlimage_DEPENDS=	jpeg png sdl12 tiff
-.  endif
 
-sdlmixer_FILE=		${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0.2.4
 sdlmixer_f10_FILE=	${LINUXBASE}/usr/lib/libSDL_mixer-1.2.so.0.2.6
 sdlmixer_DETECT=	${sdlmixer${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 sdlmixer_PORT=		${PORTSDIR}/audio/linux${LINUX_DIST_SUFFIX}-sdl_mixer
 sdlmixer_DEPENDS=	sdl12
 
-scimgtk_FILE=		${LINUXBASE}/usr/lib/gtk-2.0/immodules/im-scim.so
 scimgtk_f10_FILE=	${LINUXBASE}/usr/lib/gtk-2.0/immodules/im-scim.so
 scimgtk_DETECT=		${scimgtk${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 scimgtk_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-scim-gtk
 scimgtk_DEPENDS=	gtk2 scimlibs
 
-scimlibs_FILE=		${LINUXBASE}/usr/lib/libscim-1.0.so.8
 scimlibs_f10_FILE=	${LINUXBASE}/usr/lib/libscim-1.0.so.8
 scimlibs_DETECT=	${scimlibs${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 scimlibs_PORT=		${PORTSDIR}/textproc/linux${LINUX_DIST_SUFFIX}-scim-libs
 scimlibs_DEPENDS=	gtk2
 
-# no sqlite3_FILE
 sqlite3_f10_FILE=	${LINUXBASE}/usr/lib/libsqlite3.so.0
 sqlite3_DETECT=		${sqlite3${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 sqlite3_PORT=		${PORTSDIR}/databases/linux${LINUX_DIST_SUFFIX}-sqlite3
 
-# no tcl84_FILE
 # XXX: tcl85!!!
 tcl84_f10_FILE=		${LINUXBASE}/usr/lib/libtcl8.5.so
 tcl84_DETECT=		${tcl84${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 tcl84_PORT=		${PORTSDIR}/lang/linux${LINUX_DIST_SUFFIX}-tcl85
 
-tiff_FILE=			${LINUXBASE}/usr/lib/libtiff.so.3.7.1
 tiff_f10_FILE=		${LINUXBASE}/usr/lib/libtiff.so.3.8.2
 tiff_DETECT=		${tiff${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 tiff_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-tiff
 tiff_DEPENDS=		jpeg
 
-# no tk84_FILE
 # XXX: tk85!!!
 tk84_f10_FILE=		${LINUXBASE}/usr/lib/libtk8.5.so
 tk84_DETECT=		${tk84${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 tk84_PORT=		${PORTSDIR}/x11-toolkits/linux${LINUX_DIST_SUFFIX}-tk85
 tk84_DEPENDS=		xorglibs
 
-xorglibs_FILE=		${LINUXBASE}/usr/X11R6/lib/libXrandr.so.2.0
 xorglibs_f10_FILE=	${LINUXBASE}/usr/lib/libXrandr.so.2.1.0
 xorglibs_DETECT=	${xorglibs${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 xorglibs_PORT=		${PORTSDIR}/x11/linux${LINUX_DIST_SUFFIX}-xorg-libs
 xorglibs_DEPENDS=	fontconfig
 
-ucl_FILE=		${LINUXBASE}/usr/lib/libucl.so.1
 ucl_f10_FILE=		${LINUXBASE}/usr/lib/libucl.so.1
 ucl_DETECT=		${ucl${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 ucl_PORT=		${PORTSDIR}/archivers/linux${LINUX_DIST_SUFFIX}-ucl
 
-ungif_FILE=			${LINUXBASE}/usr/lib/libgif.so.4.1.3
 ungif_f10_FILE=		${LINUXBASE}/usr/lib/libgif.so.4.1.3
 ungif_DETECT=		${ungif${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 ungif_PORT=			${PORTSDIR}/graphics/linux${LINUX_DIST_SUFFIX}-ungif
 
-upx_FILE=			${LINUXBASE}/usr/bin/upx
 upx_f10_FILE=			${LINUXBASE}/usr/bin/upx
 upx_DETECT=			${upx${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 upx_PORT=			${PORTSDIR}/archivers/linux${LINUX_DIST_SUFFIX}-upx
 upx_DEPENDS=		ucl
 
-# use the same wabauth for now
-webauth_FILE=		${LOCALBASE}/bin/linux-nvu
 webauth_f10_FILE=	${LOCALBASE}/bin/linux-nvu
 webauth_DETECT=		${webauth${LINUX_DIST_SUFFIX:S/-/_/}_FILE}
 webauth_PORT=		${PORTSDIR}/www/linux-${WEB_AUTH}

Modified: head/Mk/bsd.linux-rpm.mk
==============================================================================
--- head/Mk/bsd.linux-rpm.mk	Thu May 30 08:55:05 2013	(r319409)
+++ head/Mk/bsd.linux-rpm.mk	Thu May 30 09:11:52 2013	(r319410)
@@ -1,7 +1,7 @@
 #-*- tab-width: 4; -*-
 # ex:ts=4
 #
-# $FreeBSD: /tmp/pcvs/ports/Mk/bsd.linux-rpm.mk,v 1.27 2012-05-23 08:17:49 miwi Exp $
+# $FreeBSD$
 #
 
 # Variables:
@@ -9,7 +9,7 @@
 #					  Valid values: fedora
 # LINUX_DIST_VER	- Use depends upon the dist-specific presets.
 #					  Valid values for "fedora": all version numbers
-#					  e.g. 3 for fedora core 3, 4 for fedora core 4
+#					  e.g. 10 for fedora 10
 #					  This is used to set MASTER_SITE_{,SRC_}SUBDIR
 #					  if it isn't already set.
 # MASTER_SITE_SRC_SUBDIR
@@ -57,36 +57,19 @@ LINUX_RPM_ARCH?=	${ARCH}
 Linux_RPM_Post_Include=	bsd.linux-rpm.mk
 
 LINUX_DIST?=		fedora
-. if ${OSVERSION} < 800076 || ${LINUX_OSRELEASE} == "2.4.2"
-LINUX_DIST_VER?=	4
-. else
 LINUX_DIST_VER?=	10
 .   if  !defined(OVERRIDE_LINUX_NONBASE_PORTS) && \
         ${LINUX_DIST_VER} != 10
 IGNORE=		bsd.linux-rpm.mk test failed: default package building at OSVERSION>=800076 was changed to linux-f10 ports, please define OVERRIDE_LINUX_NONBASE_PORTS to build other linux infrastructure ports
 .   endif
-. endif
 
 # linux Fedora 10 infrastructure ports should be used with compat.linux.osrelease=2.6.16,
 # linux_base-f10 (or greater) port
 .  if ${LINUX_DIST_VER} == 10
 # let's check for apropriate compat.linux.osrelease
 .    if (${LINUX_OSRELEASE} != "2.6.16")
-IGNORE=		bsd.linux-rpm.mk test failed: the port should be used with compat.linux.osrelease=2.6.16, which is supported at 8-CURRENT and has a limited support at 7-STABLE
+IGNORE=		bsd.linux-rpm.mk test failed: the port should be used with compat.linux.osrelease=2.6.16, which is supported by FreeBSD 8 and above
 .    endif
-# the default for OSVERSION < 800076
-.    if ${OSVERSION} < 800076
-# let's check if an apropriate linux base port is used
-.      if ${USE_LINUX} != f10
-IGNORE=		bsd.linux-rpm.mk test failed: the port should be used with at least linux_base-f10, please read /usr/ports/UPDATING
-.      endif
-# let's check if OVERRIDE_LINUX_NONBASE_PORTS is defined
-.      ifndef(OVERRIDE_LINUX_NONBASE_PORTS)
-IGNORE=		bsd.linux-rpm.mk test failed: the port should be used with defined OVERRIDE_LINUX_NONBASE_PORTS, please read /usr/ports/UPDATING
-.      endif
-# the default for OSVERSION >= 800076
-#.      else
-.    endif # ${OSVERSION} < 800076
 .  endif
 
 .  if defined(LINUX_DIST)
@@ -156,13 +139,11 @@ linux-rpm-clean-portdocs:
 
 .  if defined(AUTOMATIC_PLIST)
 
-.    if ${USE_LINUX} == "fc4" || ${USE_LINUX:L} == "yes"
-_LINUX_BASE_SUFFIX=		fc4
-.    elif ${USE_LINUX} == "f10"
+.    if ${USE_LINUX} == "f10" || ${USE_LINUX:L} == "yes"
 _LINUX_BASE_SUFFIX=		f10
 .    else
 # other linux_base ports do not provide a pkg-plist file
-IGNORE=					uses AUTOMATIC_PLIST with an unsupported USE_LINUX, \"${USE_LINUX}\". Supported values are \"yes\", \"fc4\" and \"f10\"
+IGNORE=					uses AUTOMATIC_PLIST with an unsupported USE_LINUX, \"${USE_LINUX}\". Supported values are \"yes\" and \"f10\"
 .    endif
 
 PLIST?=					${WRKDIR}/.PLIST.linux-rpm

Modified: head/accessibility/Makefile
==============================================================================
--- head/accessibility/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/accessibility/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -26,7 +26,6 @@
     SUBDIR += kmag
     SUBDIR += kmousetool
     SUBDIR += kmouth
-    SUBDIR += linux-atk
     SUBDIR += linux-f10-atk
     SUBDIR += mousetweaks
     SUBDIR += orca

Modified: head/archivers/Makefile
==============================================================================
--- head/archivers/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/archivers/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -71,8 +71,6 @@
     SUBDIR += libzip
     SUBDIR += linux-f10-ucl
     SUBDIR += linux-f10-upx
-    SUBDIR += linux-ucl
-    SUBDIR += linux-upx
     SUBDIR += lrzip
     SUBDIR += lzip
     SUBDIR += lzlib

Modified: head/astro/google-earth/Makefile
==============================================================================
--- head/astro/google-earth/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/astro/google-earth/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -40,14 +40,6 @@ RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL
 USE_LINUX_APPS+=	dri
 .endif
 
-.if ${OSVERSION}<700055
-IGNORE=	FreeBSD>=7.X is needed with Linux emulation 2.6.x
-.elif ${OSVERSION}<800076 && \
-	(! defined (OVERRIDE_LINUX_NONBASE_PORTS) || \
-	 ! (${OVERRIDE_LINUX_NONBASE_PORTS} == f10))
-IGNORE=	needs non-default linux ports (define OVERRIDE_LINUX_BASE_PORT=f10 and OVERRIDE_LINUX_NONBASE_PORTS=f10)
-.endif
-
 # Fixed by the first post-patch target line?  Also, linprocfs needs to be mounted.
 #.if ${OSVERSION} >= 900000 && ${ARCH} == "amd64"
 #BROKEN=	seems to crash on >= 9.x/amd64: http://www.freebsd.org/cgi/query-pr.cgi?pr=160422

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/audio/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -439,9 +439,6 @@
     SUBDIR += libxmp
     SUBDIR += lingot
     SUBDIR += linnya
-    SUBDIR += linux-alsa-lib
-    SUBDIR += linux-arts
-    SUBDIR += linux-esound
     SUBDIR += linux-f10-alsa-lib
     SUBDIR += linux-f10-alsa-plugins-oss
     SUBDIR += linux-f10-arts
@@ -457,20 +454,11 @@
     SUBDIR += linux-f10-pulseaudio-libs
     SUBDIR += linux-f10-sdl_mixer
     SUBDIR += linux-fmodapi
-    SUBDIR += linux-freealut
     SUBDIR += linux-genpuid
     SUBDIR += linux-laudio
-    SUBDIR += linux-libaudiofile
-    SUBDIR += linux-libmad
-    SUBDIR += linux-libogg
-    SUBDIR += linux-libvorbis
     SUBDIR += linux-mbrola
-    SUBDIR += linux-mikmod
     SUBDIR += linux-musicipserver
-    SUBDIR += linux-nas-libs
     SUBDIR += linux-neroaaccodec
-    SUBDIR += linux-openal
-    SUBDIR += linux-sdl_mixer
     SUBDIR += linuxsampler
     SUBDIR += liquidsoap
     SUBDIR += listener

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/devel/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -1135,7 +1135,6 @@
     SUBDIR += libzrtpcpp
     SUBDIR += libzvbi
     SUBDIR += lightning
-    SUBDIR += linux-allegro
     SUBDIR += linux-f10-allegro
     SUBDIR += linux-f10-dbus-glib
     SUBDIR += linux-f10-dbus-libs
@@ -1147,10 +1146,6 @@
     SUBDIR += linux-f10-sdl12
     SUBDIR += linux-js
     SUBDIR += linux-kmod-compat
-    SUBDIR += linux-libglade
-    SUBDIR += linux-libglade2
-    SUBDIR += linux-libsigc++20
-    SUBDIR += linux-sdl12
     SUBDIR += linux_kdump
     SUBDIR += linuxthreads
     SUBDIR += lion

Modified: head/emulators/Makefile
==============================================================================
--- head/emulators/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/emulators/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -73,7 +73,6 @@
     SUBDIR += libspectrum
     SUBDIR += linux-ePSXe
     SUBDIR += linux-geepee32
-    SUBDIR += linux-libaio
     SUBDIR += linux-peops-softgpu
     SUBDIR += linux-peops-spu
     SUBDIR += linux-pete-mesagpu
@@ -82,7 +81,6 @@
     SUBDIR += linux-xjoypad
     SUBDIR += linux_base-c6
     SUBDIR += linux_base-f10
-    SUBDIR += linux_base-fc4
     SUBDIR += linux_base-gentoo-stage3
     SUBDIR += linux_dist-gentoo-stage3
     SUBDIR += lisaem

Modified: head/emulators/linux_base-c6/Makefile
==============================================================================
--- head/emulators/linux_base-c6/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/emulators/linux_base-c6/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -127,8 +127,6 @@ LINUX_OSRELEASE!=	${ECHO_CMD} `${SYSCTL}
 
 .if ${LINUX_OSRELEASE}x == "x"
 IGNORE=			linuxulator is not (kld)loaded
-.elif ${LINUX_OSRELEASE} == "2.4.2"
-IGNORE=			compat.linux.osrelease: ${LINUX_OSRELEASE} is not supported, please use 2.6.18, BEWARE this is highly experimental
 .elif ${LINUX_OSRELEASE} == "2.6.16"
 IGNORE=			compat.linux.osrelease: ${LINUX_OSRELEASE} is not supported, please use 2.6.18, BEWARE this is highly experimental
 .endif
@@ -161,7 +159,7 @@ do-build:
 		${RM} -f ${WRKSRC}/$$F; \
 	done
 	@for F in ${ADD_DIRS}; do \
-		${MKDIR} -p ${WRKSRC}/$$F; \
+		${MKDIR} ${WRKSRC}/$$F; \
 	done
 	@for F in ${ADD_FILES}; do \
 		${TOUCH} ${WRKSRC}/$$F; \

Modified: head/emulators/linux_base-c6/pkg-install
==============================================================================
--- head/emulators/linux_base-c6/pkg-install	Thu May 30 08:55:05 2013	(r319409)
+++ head/emulators/linux_base-c6/pkg-install	Thu May 30 09:11:52 2013	(r319410)
@@ -7,10 +7,6 @@ PRE-INSTALL)
 		echo 'linuxulator is not (kld)loaded, exiting'
 		exit 1
 	fi
-	if [ "`/sbin/sysctl -n compat.linux.osrelease`" = "2.4.2" ]; then
-		echo 'compat.linux.osrelease: 2.4.2 is not supported, exiting'
-		exit 1
-	fi
 	if [ "`/sbin/sysctl -n compat.linux.osrelease`" = "2.6.16" ]; then
 		echo 'compat.linux.osrelease: 2.6.16 is not supported, exiting'
 		exit 1

Modified: head/emulators/linux_base-f10/Makefile
==============================================================================
--- head/emulators/linux_base-f10/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/emulators/linux_base-f10/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -123,8 +123,6 @@ LINUX_OSRELEASE!=	${ECHO_CMD} `${SYSCTL}
 
 .if ${LINUX_OSRELEASE}x == "x"
 IGNORE=			linuxulator is not (kld)loaded
-.elif ${LINUX_OSRELEASE} == "2.4.2"
-IGNORE=			compat.linux.osrelease: 2.4.2 is not supported, please use 2.6.16
 .endif
 
 REMOVE_DIRS=		boot dev etc/fonts home initrd media root tmp var/log var/run var/tmp \
@@ -160,7 +158,7 @@ do-build:
 		${RM} -f ${WRKSRC}/$$F; \
 	done
 	@for F in ${ADD_DIRS}; do \
-		${MKDIR} -p ${WRKSRC}/$$F; \
+		${MKDIR} ${WRKSRC}/$$F; \
 	done
 	@for F in ${ADD_FILES}; do \
 		${TOUCH} ${WRKSRC}/$$F; \

Modified: head/emulators/linux_base-f10/pkg-install
==============================================================================
--- head/emulators/linux_base-f10/pkg-install	Thu May 30 08:55:05 2013	(r319409)
+++ head/emulators/linux_base-f10/pkg-install	Thu May 30 09:11:52 2013	(r319410)
@@ -7,10 +7,6 @@ PRE-INSTALL)
 		echo 'linuxulator is not (kld)loaded, exiting'
 		exit 1
 	fi
-	if [ "`/sbin/sysctl -n compat.linux.osrelease`" = "2.4.2" ]; then
-		echo 'compat.linux.osrelease: 2.4.2 is not supported, exiting'
-		exit 1
-	fi
 	if [ -z "`kldstat -v | grep -E 'linux(aout|elf)'`" ]; then
 		echo 'Linux mode is not enabled.'
 		echo 'Loading linux kernel module now...'

Modified: head/emulators/linux_dist-gentoo-stage3/Makefile
==============================================================================
--- head/emulators/linux_dist-gentoo-stage3/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/emulators/linux_dist-gentoo-stage3/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -45,8 +45,6 @@ LINUX_OSRELEASE!=	${ECHO_CMD} `${SYSCTL}
 
 .if ${LINUX_OSRELEASE}x == "x"
 IGNORE=			linuxulator is not (kld)loaded
-.elif ${LINUX_OSRELEASE} == "2.4.2"
-IGNORE=			compat.linux.osrelease: 2.4.2 is not supported
 .endif
 
 .if (${GENTOO_OPTIMIZED} == "i686")

Modified: head/ftp/Makefile
==============================================================================
--- head/ftp/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/ftp/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -46,7 +46,6 @@
     SUBDIR += kftpgrabber
     SUBDIR += kpum
     SUBDIR += lftp
-    SUBDIR += linux-curl
     SUBDIR += linux-f10-curl
     SUBDIR += llnlxdir
     SUBDIR += llnlxftp

Modified: head/graphics/Makefile
==============================================================================
--- head/graphics/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/graphics/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -577,7 +577,6 @@
     SUBDIR += linplasma
     SUBDIR += linux-XnViewMP
     SUBDIR += linux-adobesvg
-    SUBDIR += linux-cairo
     SUBDIR += linux-dri74
     SUBDIR += linux-f10-cairo
     SUBDIR += linux-f10-dri
@@ -592,18 +591,8 @@
     SUBDIR += linux-f10-sdl_image
     SUBDIR += linux-f10-tiff
     SUBDIR += linux-f10-ungif
-    SUBDIR += linux-gdk-pixbuf
-    SUBDIR += linux-imlib
-    SUBDIR += linux-jpeg
-    SUBDIR += linux-libGLU
-    SUBDIR += linux-libmng
     SUBDIR += linux-panorama-tools
-    SUBDIR += linux-png
-    SUBDIR += linux-png10
-    SUBDIR += linux-sdl_image
     SUBDIR += linux-sdl_ttf
-    SUBDIR += linux-tiff
-    SUBDIR += linux-ungif
     SUBDIR += linux_dri
     SUBDIR += linux_glide
     SUBDIR += lprof-devel

Modified: head/lang/Makefile
==============================================================================
--- head/lang/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/lang/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -150,7 +150,6 @@
     SUBDIR += linux-f10-libg2c
     SUBDIR += linux-f10-tcl85
     SUBDIR += linux-j
-    SUBDIR += linux-libg2c
     SUBDIR += logo
     SUBDIR += lua
     SUBDIR += lua-mode.el

Modified: head/multimedia/Makefile
==============================================================================
--- head/multimedia/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/multimedia/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -203,7 +203,6 @@
     SUBDIR += linux-f10-libv4l
     SUBDIR += linux-gspca-kmod
     SUBDIR += linux-huludesktop
-    SUBDIR += linux-libtheora
     SUBDIR += linux-ov511-kmod
     SUBDIR += linux-realplayer
     SUBDIR += linux-tsmuxer

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/security/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -295,7 +295,6 @@
     SUBDIR += linux-f10-libtasn1
     SUBDIR += linux-f10-nss
     SUBDIR += linux-f10-openssl
-    SUBDIR += linux-openssl
     SUBDIR += linux-pam-docs
     SUBDIR += lockdown
     SUBDIR += log2timeline

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/sysutils/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -483,7 +483,6 @@
     SUBDIR += linux-f10-procps
     SUBDIR += linux-megamgr
     SUBDIR += linux-nero
-    SUBDIR += linux-procps
     SUBDIR += linuxfdisk
     SUBDIR += lire
     SUBDIR += livecd

Modified: head/textproc/Makefile
==============================================================================
--- head/textproc/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/textproc/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -404,19 +404,12 @@
     SUBDIR += libxslt-reference
     SUBDIR += libyaml
     SUBDIR += link-grammar
-    SUBDIR += linux-aspell
-    SUBDIR += linux-expat
     SUBDIR += linux-f10-aspell
     SUBDIR += linux-f10-expat
     SUBDIR += linux-f10-libxml
     SUBDIR += linux-f10-libxml2
     SUBDIR += linux-f10-scim-gtk
     SUBDIR += linux-f10-scim-libs
-    SUBDIR += linux-libxml
-    SUBDIR += linux-libxml2
-    SUBDIR += linux-scim-gtk
-    SUBDIR += linux-scim-libs
-    SUBDIR += linux-xerces-c2
     SUBDIR += linuxdoc
     SUBDIR += localize
     SUBDIR += lt-aspell

Modified: head/x11-fonts/Makefile
==============================================================================
--- head/x11-fonts/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/x11-fonts/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -106,7 +106,6 @@
     SUBDIR += liberation-fonts-ttf
     SUBDIR += libfontenc
     SUBDIR += linux-f10-fontconfig
-    SUBDIR += linux-fontconfig
     SUBDIR += linuxlibertine
     SUBDIR += linuxlibertine-g
     SUBDIR += manu-gothica

Modified: head/x11-toolkits/Makefile
==============================================================================
--- head/x11-toolkits/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/x11-toolkits/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -125,11 +125,6 @@
     SUBDIR += linux-f10-pango
     SUBDIR += linux-f10-qt33
     SUBDIR += linux-f10-tk85
-    SUBDIR += linux-gtk
-    SUBDIR += linux-gtk2
-    SUBDIR += linux-openmotif
-    SUBDIR += linux-pango
-    SUBDIR += linux-qt33
     SUBDIR += movingmotif
     SUBDIR += mowitz
     SUBDIR += neXtaw

Modified: head/x11/Makefile
==============================================================================
--- head/x11/Makefile	Thu May 30 08:55:05 2013	(r319409)
+++ head/x11/Makefile	Thu May 30 09:11:52 2013	(r319410)
@@ -192,7 +192,6 @@
     SUBDIR += libxkbui
     SUBDIR += libxklavier
     SUBDIR += linux-f10-xorg-libs
-    SUBDIR += linux-xorg-libs
     SUBDIR += listres
     SUBDIR += lsw
     SUBDIR += luit
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Rene Ladan freebsd_committer 2013-05-30 10:16:16 UTC
State Changed
From-To: open->closed

Committed